<!-- Olá mundo -->
<div class="class">
    <h1>Hello World Angular!</h1>
</div>

<!-- Primeiro Componente -->
<app-first-component></app-first-component>

<!-- Props -->
<app-parent-data [user]="userData" [name]="userName"></app-parent-data>

<!-- Diretivas -->
<app-directives></app-directives>

<!-- Renderização Condicional -->
<app-if-render></app-if-render>

<!-- Eventos -->
<app-eventos></app-eventos>

<!-- Emitindo Eventos -->
<app-emitter></app-emitter>

<!-- Renderização de Listas -->
<app-list-render></app-list-render>

<!-- Pipe Operators -->
<app-pipes></app-pipes>

<!-- Two-Way Binding -->
<app-two-way-binding></app-two-way-binding>

<!-- Services -->
<app-list-render></app-list-render>

<!-- Router -->
<!-- Requisições HTTP -->
<!-- Carregando Dado Individual -->
<!-- Excluindo Dados -->
<h1>Hello World Angular!</h1>
<nav>
  <a routerLink="/">Home</a>
  <a routerLink="/list">Lista</a>
</nav>
<router-outlet></router-outlet>